Subject: bug#78658: 30.1; [PATCH] Dired feature suggestion: dired-on-marked-files-in-all-buffers

From: Juri Linkov <[email-masked]>
Date: Wed, 04 Jun 2025 20:49:43 +0300

>> To avoid misunderstanding, here is the use case that I meant:
>> 
>> 1. mark the file dired.el in the 'lisp' dir;
>> 2. mark the file vc-dir.el in the 'lisp/vc' dir;
>> 3. in the root dir invoke 'dired-on-marked-files'
>> 
>> and it shows the list of
>> 
>>   lisp/dired.el
>>   lisp/vc/vc-dir.el
>
> Sounds like we're miscommunicating.  You're now talking about
> `dired-on-marked-files', by which I guess you mean Phil's
> `dired-on-marked-files-in-all-buffers'.  That doesn't require
> any marking of subdirs.

Yes, I removed the name suffix, but now realized a better name
for the above logic would be `dired-on-marked-files-in-subdirs'.

> But you didn't reply "It would be too tedious to mark subdirs",
> to anything about `dired-on-marked-files-in-all-buffers'.  You
> replied that to my mention of the Dired+ feature of selectively
> acting on marked files & dirs in Dired buffers for marked subdirs.
>
> And you seemed to be saying that for that the most common case
> is to want to act on all marked lines in all Dired buffers for
> subdir listings (at all levels).  IOW, no selectivity.

Maybe I misunderstood your description, but I thought that
with the above use case, to be able to include lisp/vc/vc-dir.el
to the composite Dired bufer, you require also marking
the subdir 'lisp', and then also marking the subdir 'vc',
that requires too much extra effort from the user.